%define pypi_name sip

Name:           python-sip6
Version:        6.7.12
Release:        %mkrel 1
Summary:        SIP - Python/C++ Bindings Generator
Group:      	Development/Python
# code_generator/parser.{c.h} is GPLv2+ with exceptions (bison)
License:        (GPLv2 or GPLv3) and (GPLv2+ with exceptions)
URL:            https://www.riverbankcomputing.com/software/sip
Source0:        %{pypi_name}-%version.tar.xz

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-toml
BuildRequires:  python3-ply

%description
SIP is a collection of tools that makes it very easy to create Python bindings
for C and C++ libraries.  It was originally developed in 1998 to create PyQt,
the Python bindings for the Qt toolkit, but can be used to create bindings for
any C or C++ library.  For example it is also used to generate wxPython, the
Python bindings for wxWidgets.}

%package -n python3-sip6
Summary:	SIP - Python/C++ Bindings Generator
%{?python_provide:%python_provide python3-sip6}
Provides:	sip6 = %{version}-%{release}
# Doesn't like to live with older sip
Conflicts:	python3-sip

%rename python-sip6

%description -n python3-sip6
SIP is a collection of tools that makes it very easy to create Python bindings
for C and C++ libraries. It was originally developed in 1998 to create PyQt,
the Python bindings for the Qt toolkit, but can be used to create bindings for
any C or C++ library. For example it is also used to generate wxPython, the
Python bindings for wxWidgets.


%prep
%setup -qn %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-sip6
%doc README LICENSE LICENSE-GPL2 LICENSE-GPL3
%{_bindir}/sip*
%{python3_sitearch}/sip-*
%{python3_sitearch}/sipbuild/

%changelog
* Fri Jan 12 2024 pp <pp> 6.7.12-1pclos2024
- new version

* Sun Aug 07 2022 TerryN <terryn94 at gmail.com> 6.6.2-2pclos2022
- rename binary pkg for consistency
- conflict with sip4

* Sat Aug 06 2022 TerryN <terryn94 at gmail.com> 6.6.2-1pclos2022
- update

* Sun Mar 06 2022 TerryN <terryn94 at gmail.com> 6.5.1-1pclos2022
- import for python 3.10
